/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Fetal Growth Equations And Tables
 */
public enum EnumCV_FetalGrowthEquationsAndTables 
{
	// Fetal Growth Equations And Tables - CID 12015
	AC_BY_GA_ASUM_2000_33145_4("33145-4"),
	AC_BY_GA_HADLOCK_1984_33146_2("33146-2"),
	AC_MEASURED_BY_GA_CHITTY_1994_33147_0("33147-0"),
	AC_DERIVED_BY_GA_CHITTY_1994_33546_3("33546-3"),
	AC_BY_GA_MERZ_1988_33148_8("33148-8"),
	AC_BY_GA_SHINOZUKA_1996_33149_6("33149-6"),
	AXT_BY_GA_SHINOZUKA_1996_33150_4("33150-4"),
	BPD_BY_GA_ASUM_2000_33151_2("33151-2"),
	BPD_BY_GA_HADLOCK_1984_33198_3("33198-3"),
	BPD_OUTER_INNER_BY_GA_CHITTY_1994_33556_2("33556-2"),
	BPD_OUTER_OUTER_BY_GA_CHITTY_1994_33152_0("33152-0"),
	BPD_BY_GA_JEANTY_1982_33153_8("33153-8"),
	BPD_BY_GA_MERZ_1988_33154_6("33154-6"),
	BPD_BY_GA_REMPEN_1991_33155_3("33155-3"),
	BPD_BY_GA_SHINOZUKA_1996_33156_1("33156-1"),
	CEPHALIC_INDEX_BY_GA_CHITTY_1994_33157_9("33157-9"),
	CEPHALIC_INDEX_BY_GA_HADLOCK_1981_33158_7("33158-7"),
	CRL_BY_GA_ASUM_2000_33159_5("33159-5"),
	CRL_BY_GA_REMPEN1991_33160_3("33160-3"),
	CRL_BY_GA_SHINOZUKA_1996_33161_1("33161-1"),
	EFW_BY_GA_HADLOCK_1991_33162_9("33162-9"),
	EFW_BY_GA_HANSMANN_1986_33163_7("33163-7"),
	FIBULA_BY_GA_JEANTY_1983_33164_5("33164-5"),
	FL_BY_GA_ASUM_2000_33165_2("33165-2"),
	FL_BY_GA_HADLOCK_1984_33166_0("33166-0"),
	FL_BY_GA_CHITTY_1994_33167_8("33167-8"),
	FL_BY_GA_JEANTY_1982_33168_6("33168-6"),
	FL_BY_GA_MERZ_1988_33169_4("33169-4"),
	FL_BY_GA_SHINOZUKA_1996_33170_2("33170-2"),
	GS_BY_GA_REMPEN_1991_33171_0("33171-0"),
	HC_BY_GA_ASUM_2000_33172_8("33172-8"),
	HC_BY_GA_HADLOCK_1984_33173_6("33173-6"),
	HC_DERIVED_BY_GA_CHITTY_1994_33174_4("33174-4"),
	HC_BY_GA_JEANTY_1982_33175_1("33175-1"),
	HC_BY_GA_MERZ_1988_33176_9("33176-9"),
	HUMERUS_LENGTH_BY_GA_ASUM_2000_33177_7("33177-7"),
	OFD_BY_GA_ASUM_2000_33178_5("33178-5"),
	OFD_BY_GA_CHITTY_1994_33179_3("33179-3"),
	RADIUS_BY_GA_JEANTY_1983_33180_1("33180-1"),
	TCD_BY_GA_GOLDSTEIN_1987_33181_9("33181-9"),
	HC_AC_BY_GA_CAMPBELL_1977_33182_7("33182-7");	

	private String value;
	
	EnumCV_FetalGrowthEquationsAndTables(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
